from django.contrib import messages
from django.contrib.auth.models import User
from django.db.models import Count
from django.shortcuts import render, redirect
import json
from django.http import HttpResponse, HttpResponseRedirect, HttpRequest
from PIL import Image


# Create your views here.
from catalog.models import Purchase


def Dashboard(request):
    data =[]
    compras = Purchase.objects.filter(purchased=True)
    total = compras.count()
    data.append({
        "Total_compras": total ,
    })
    print(total)
    return render(request, 'dashboard.html', {"Viewname": "Dashboard","Datos":data})


# ----------------------------------------------------------
def Request_users(request):
    if request.user.is_superuser or request.user.is_staff:
        user_list = []
        for user in User.objects.filter(is_active=False):
            user_list.append({
                "user_id": user.id,
                "username": user.username,
                "first_name": user.first_name,
                "last_name": user.last_name,
                "email": user.email,
                "status": user.is_active,
                "staff": user.is_staff,
                "superuser": user.is_superuser,
            })
        # messages.success(request, 'your registration is being processed')
        return render(request, 'users_table.html', {'users': user_list, "Viewname": "Request"})
    else:
        return redirect('../')


# ------------------------------------------------------------------------
def update_user(request):
    is_active = False
    is_staff = False
    is_superuser = False

    if request.POST.get('is_active') == '1':
        is_active = True
    if request.POST.get('is_staff') == '1':
        is_staff = True
    if request.POST.get('is_superuser') == '1':
        is_superuser = True

    user = User.objects.get(pk=request.POST.get('user_id'))
    user.is_active = is_active
    user.is_staff = is_staff
    user.is_superuser = is_superuser
    user.save()

    messages.success(request, 'the user was updated')

    return redirect(request.POST.get('request_path'))


def active_users(request):
    if request.user.is_superuser or request.user.is_staff:
        user_list = []
        for user in User.objects.filter(is_active=True):
            user_list.append({
                "user_id": user.id,
                "username": user.username,
                "first_name": user.first_name,
                "last_name": user.last_name,
                "email": user.email,
                "status": user.is_active,
                "staff": user.is_staff,
                "superuser": user.is_superuser,
            })
        # messages.success(request, 'your registration is being processed')
        return render(request, 'users_table.html', {'users': user_list, "Viewname": "Request"})
